#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private EstrategiaJ.NubeEstrategiaJ[] cacheNubeEstrategiaJ;

		
		public EstrategiaJ.NubeEstrategiaJ NubeEstrategiaJ(bool drawArrows, int arrowOffset, Brush arrowUpColor, Brush arrowDownColor, bool colorRegion, int regionOpacity, Brush regionUpColor, Brush regionDownColor, bool soundAlert, string soundFile, bool drawVertical, Brush triggerRisingColor, Brush triggerFallingColor, Brush averageRisingColor, Brush averageFallingColor)
		{
			return NubeEstrategiaJ(Input, drawArrows, arrowOffset, arrowUpColor, arrowDownColor, colorRegion, regionOpacity, regionUpColor, regionDownColor, soundAlert, soundFile, drawVertical, triggerRisingColor, triggerFallingColor, averageRisingColor, averageFallingColor);
		}


		
		public EstrategiaJ.NubeEstrategiaJ NubeEstrategiaJ(ISeries<double> input, bool drawArrows, int arrowOffset, Brush arrowUpColor, Brush arrowDownColor, bool colorRegion, int regionOpacity, Brush regionUpColor, Brush regionDownColor, bool soundAlert, string soundFile, bool drawVertical, Brush triggerRisingColor, Brush triggerFallingColor, Brush averageRisingColor, Brush averageFallingColor)
		{
			if (cacheNubeEstrategiaJ != null)
				for (int idx = 0; idx < cacheNubeEstrategiaJ.Length; idx++)
					if (cacheNubeEstrategiaJ[idx].DrawArrows == drawArrows && cacheNubeEstrategiaJ[idx].ArrowOffset == arrowOffset && cacheNubeEstrategiaJ[idx].ArrowUpColor == arrowUpColor && cacheNubeEstrategiaJ[idx].ArrowDownColor == arrowDownColor && cacheNubeEstrategiaJ[idx].ColorRegion == colorRegion && cacheNubeEstrategiaJ[idx].RegionOpacity == regionOpacity && cacheNubeEstrategiaJ[idx].RegionUpColor == regionUpColor && cacheNubeEstrategiaJ[idx].RegionDownColor == regionDownColor && cacheNubeEstrategiaJ[idx].SoundAlert == soundAlert && cacheNubeEstrategiaJ[idx].SoundFile == soundFile && cacheNubeEstrategiaJ[idx].DrawVertical == drawVertical && cacheNubeEstrategiaJ[idx].TriggerRisingColor == triggerRisingColor && cacheNubeEstrategiaJ[idx].TriggerFallingColor == triggerFallingColor && cacheNubeEstrategiaJ[idx].AverageRisingColor == averageRisingColor && cacheNubeEstrategiaJ[idx].AverageFallingColor == averageFallingColor && cacheNubeEstrategiaJ[idx].EqualsInput(input))
						return cacheNubeEstrategiaJ[idx];
			return CacheIndicator<EstrategiaJ.NubeEstrategiaJ>(new EstrategiaJ.NubeEstrategiaJ(){ DrawArrows = drawArrows, ArrowOffset = arrowOffset, ArrowUpColor = arrowUpColor, ArrowDownColor = arrowDownColor, ColorRegion = colorRegion, RegionOpacity = regionOpacity, RegionUpColor = regionUpColor, RegionDownColor = regionDownColor, SoundAlert = soundAlert, SoundFile = soundFile, DrawVertical = drawVertical, TriggerRisingColor = triggerRisingColor, TriggerFallingColor = triggerFallingColor, AverageRisingColor = averageRisingColor, AverageFallingColor = averageFallingColor }, input, ref cacheNubeEstrategiaJ);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.EstrategiaJ.NubeEstrategiaJ NubeEstrategiaJ(bool drawArrows, int arrowOffset, Brush arrowUpColor, Brush arrowDownColor, bool colorRegion, int regionOpacity, Brush regionUpColor, Brush regionDownColor, bool soundAlert, string soundFile, bool drawVertical, Brush triggerRisingColor, Brush triggerFallingColor, Brush averageRisingColor, Brush averageFallingColor)
		{
			return indicator.NubeEstrategiaJ(Input, drawArrows, arrowOffset, arrowUpColor, arrowDownColor, colorRegion, regionOpacity, regionUpColor, regionDownColor, soundAlert, soundFile, drawVertical, triggerRisingColor, triggerFallingColor, averageRisingColor, averageFallingColor);
		}


		
		public Indicators.EstrategiaJ.NubeEstrategiaJ NubeEstrategiaJ(ISeries<double> input , bool drawArrows, int arrowOffset, Brush arrowUpColor, Brush arrowDownColor, bool colorRegion, int regionOpacity, Brush regionUpColor, Brush regionDownColor, bool soundAlert, string soundFile, bool drawVertical, Brush triggerRisingColor, Brush triggerFallingColor, Brush averageRisingColor, Brush averageFallingColor)
		{
			return indicator.NubeEstrategiaJ(input, drawArrows, arrowOffset, arrowUpColor, arrowDownColor, colorRegion, regionOpacity, regionUpColor, regionDownColor, soundAlert, soundFile, drawVertical, triggerRisingColor, triggerFallingColor, averageRisingColor, averageFallingColor);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.EstrategiaJ.NubeEstrategiaJ NubeEstrategiaJ(bool drawArrows, int arrowOffset, Brush arrowUpColor, Brush arrowDownColor, bool colorRegion, int regionOpacity, Brush regionUpColor, Brush regionDownColor, bool soundAlert, string soundFile, bool drawVertical, Brush triggerRisingColor, Brush triggerFallingColor, Brush averageRisingColor, Brush averageFallingColor)
		{
			return indicator.NubeEstrategiaJ(Input, drawArrows, arrowOffset, arrowUpColor, arrowDownColor, colorRegion, regionOpacity, regionUpColor, regionDownColor, soundAlert, soundFile, drawVertical, triggerRisingColor, triggerFallingColor, averageRisingColor, averageFallingColor);
		}


		
		public Indicators.EstrategiaJ.NubeEstrategiaJ NubeEstrategiaJ(ISeries<double> input , bool drawArrows, int arrowOffset, Brush arrowUpColor, Brush arrowDownColor, bool colorRegion, int regionOpacity, Brush regionUpColor, Brush regionDownColor, bool soundAlert, string soundFile, bool drawVertical, Brush triggerRisingColor, Brush triggerFallingColor, Brush averageRisingColor, Brush averageFallingColor)
		{
			return indicator.NubeEstrategiaJ(input, drawArrows, arrowOffset, arrowUpColor, arrowDownColor, colorRegion, regionOpacity, regionUpColor, regionDownColor, soundAlert, soundFile, drawVertical, triggerRisingColor, triggerFallingColor, averageRisingColor, averageFallingColor);
		}

	}
}

#endregion
